------------------------------------------------------------------------------------------
-- _init_ file
-- Written by Homeopatix
-- 7 january 2021
-- updated 28 decembre 2023
------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------
-- import librarys
------------------------------------------------------------------------------------------
import "Turbine";
import "Turbine.UI";
import "Turbine.UI.Lotro";
import "Turbine.UI.Extensions";
import "Turbine.Gameplay";
import "Turbine.Gameplay.Attributes";
------------------------------------------------------------------------------------------
-- Import Globals --
------------------------------------------------------------------------------------------
--import "Homeopatix.Potions.Globals";
if Turbine.Engine.GetLanguage() == Turbine.Language.German then
	import "Homeopatix.Potions.Localization.GlobalsDE";
	GLocale = "de";
elseif Turbine.Engine.GetLanguage() == Turbine.Language.French then
	import "Homeopatix.Potions.Localization.GlobalsFR";
	GLocale = "fr";
elseif Turbine.Engine.GetLanguage() == Turbine.Language.English then
	import "Homeopatix.Potions.Localization.GlobalsEN";
	GLocale = "en";
end
------------------------------------------------------------------------------------------
-- Import Utility --
------------------------------------------------------------------------------------------
import "Homeopatix.Potions.VindarPatch";
import "Homeopatix.Potions.Notification";
import "Homeopatix.Potions.LoadAndSave";
import "Homeopatix.Potions.MinimizedIcon";
import "Homeopatix.Potions.FCT";
------------------------------------------------------------------------------------------
-- Import initialization --
------------------------------------------------------------------------------------------
import "Homeopatix.Potions.Init";
import "Homeopatix.Potions.Activation";
------------------------------------------------------------------------------------------
-- Import Scripts --
------------------------------------------------------------------------------------------
import "Homeopatix.Potions.Main";
------------------------------------------------------------------------------------------
-- Import UI elements --
------------------------------------------------------------------------------------------
import "Homeopatix.Potions.UI";
import "Homeopatix.Potions.OptionsWindow";
------------------------------------------------------------------------------------------
-- Import Commands --
------------------------------------------------------------------------------------------
import "Homeopatix.Potions.Commands";